.\"	$NetBSD: mmem.4,v 1.3 2003/06/27 18:19:29 wiz Exp $
.\"
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by ITOH Yasufumi.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 17, 2002
.Dt MMEM 4 dreamcast
.Os
.Sh NAME
.Nm mmem
.Nd Maple bus storage device driver
.Sh SYNOPSIS
.Cd "mmem* at maple? port ? subunit ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for Maple bus storage devices (memory cards).
.Sh IOCTLS
The following
.Xr ioctl 2
calls apply to Maple bus storage devices.
.Pp
.Bl -tag -width XXXXXXX
.It Dv DIOCGDINFO Fa struct disklabel
Read, from the kernel, the
.Xr disklabel 5
of the device.
.El
.Pp
In addition, Maple bus storage devices accept all
.Xr ioctl 2
calls described in
.Xr maple 4 .
.Sh FILES
.Bl -tag -width /dev/rmmemX.XXXX -compact
.It Pa /dev/mmem Ns Ar u . Ns Ar tp
block mode
Maple bus storage device unit
.Ar u ,
.\" t is actually ``partition'' but confusing
PT number
.Ar t
(usually 0 only), partition
.Ar p
.It Pa /dev/rmmem Ns Ar u . Ns Ar tp
raw mode
Maple bus storage device unit
.Ar u ,
.\" t is actually ``partition'' but confusing
PT number
.Ar t
(usually 0 only), partition
.Ar p
.El
.Sh SEE ALSO
.Xr ioctl 2 ,
.Xr maple 4 ,
.Xr disklabel 5
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 2.0 .
